%bcond_without tests

%global         srcname     flask-basicauth
%global         forgeurl    https://github.com/jpvanhal/%{srcname}
Version:        0.2.0
%global         tag         v%{version}

Name:           python-%{srcname}
Release:    4%{?dist}
Summary:        HTTP basic authentication for Flask

License:        BSD-3-Clause
URL:            %forgeurl
Source0:         %{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

Patch:          29.patch

%global _description %{expand:
HTTP basic authentication for Flask}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files flask_basicauth


%if %{with tests}
%check
rm -f flask_basicauth.py
%pytest --pyargs
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.* CHANGES.rst


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.2.0-4
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.2.0-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.2.0-2
- Rebuilt for loongarch64

* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-1
- initial build
